![](https://github.com/duketemon/pyuplift/raw/master/resources/pyuplift-logo.png)

[![Documentation Status](https://readthedocs.org/projects/pyuplift/badge/?version=latest)](https://pyuplift.readthedocs.io/en/latest/?badge=latest)
[![Build Status](https://travis-ci.org/duketemon/pyuplift.svg?branch=master)](https://travis-ci.org/duketemon/pyuplift)
[![PyPI - Python Version](https://img.shields.io/badge/python-3.5%20%7C%203.6%20%7C%203.7-blue.svg)](https://github.com/duketemon/pyuplift)
[![GitHub](https://img.shields.io/github/license/duketemon/pyuplift.svg)](https://github.com/duketemon/pyuplift/blob/master/LICENSE)

[Documentation](https://pyuplift.readthedocs.io) •
[License](https://github.com/duketemon/pyuplift/blob/master/LICENSE) •
[Uplift datasets](#uplift-datasets)

## Installation
### Install from PyPI
```bash
pip install pyuplift
```
### Install from source code
```bash
python setup.py install
```

## Examples of usage
* [Synthetic dataset](https://github.com/duketemon/pyuplift/blob/master/examples/Synthetic_data-usage.ipynb)
* [Hillstrom Email Marketing dataset](https://github.com/duketemon/pyuplift/blob/master/examples/Hillstrom_Email_Marketing-usage.ipynb)

## Uplift datasets
* [Criteo Uplift Prediction](http://ailab.criteo.com/criteo-uplift-prediction-dataset)
* [Hillstrom Email Marketing](https://blog.minethatdata.com/2008/05/best-answer-e-mail-analytics-challenge.html)

## Compatible with
* [numpy](https://github.com/numpy/numpy)
* [sklearn](https://github.com/scikit-learn/scikit-learn)

## References
* Devriendt F, Moldovan D, Verbeke W. A literature survey and experimental evaluation of the state-of-the-art in uplift modeling: A stepping stone toward the development of prescriptive analytics. Big data. 2018 Mar 1;6(1):13-41.
* Weisberg HI, Pontes VP. Post hoc subgroups in clinical trials: Anathema or analytics?. Clinical trials. 2015 Aug;12(4):357-64.
* Lo VS. The true lift model: a novel data mining approach to response modeling in database marketing. ACM SIGKDD Explorations Newsletter. 2002 Dec 1;4(2):78-86.
* Guelman L, Guillén M, Pérez-Marín AM. A decision support framework to implement optimal personalized marketing interventions. Decision Support Systems. 2015 Apr 1;72:24-32.
* Tian L, Alizadeh AA, Gentles AJ, Tibshirani R. A simple method for estimating interactions between a treatment and a large number of covariates. Journal of the American Statistical Association. 2014 Oct 2;109(508):1517-32.
